import * as React from "react";
import { createFocusTrap } from "focus-trap";
export function useFocusElement(elementRef, showing, options = {}) {
    React.useEffect(() => {
        let trap;
        function focusElement() {
            if (!elementRef.current) {
                console.error("No element found to found");
                return;
            }
            trap = createFocusTrap(elementRef.current, {
                escapeDeactivates: false,
                clickOutsideDeactivates: true,
                fallbackFocus: '[tabindex="-1"]',
                ...options
            });
            trap.activate();
        }
        function focusTrigger() {
            if (!trap) {
                return;
            }
            trap.deactivate();
        }
        if (showing) {
            focusElement();
            return () => {
                focusTrigger();
            };
        }
    }, [showing]);
}
//# sourceMappingURL=use-focus-trap.js.map