import * as React from "react";
import { disablePageScroll, enablePageScroll } from "scroll-lock";
/**原来在Dialog用过。
 *对于Dialog  //use-scroll-lock仅仅这里用1回，？毛病，手机上为啥不能滚动，电脑可以滚动。
 *对于Dialog  //useScrollLock(isOpen, scrollableRef); 还是删掉更好点 <div ref={scrollableRef}>{children}</div>
 * */
export function useScrollLock(enabled, ref) {
    if (enabled === void 0) {
        enabled = true;
    }
    var disabledRef = React.useRef(false);
    // scroll-lock uses an internal queue. we need to ensure that we only enable
    // scrolling here if we have already disabled scrolling.
    React.useEffect(function () {
        if (enabled && !disabledRef.current) {
            disablePageScroll(ref ? ref.current : undefined);
            disabledRef.current = true;
        }
        return function () {
            if (disabledRef.current) {
                enablePageScroll(ref ? ref.current : undefined);
                disabledRef.current = false;
            }
        };
    }, [enabled, ref, disabledRef]);
    //  return { bounds };
}
//# sourceMappingURL=use-scroll-lock.js.map