import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconAperture = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("circle", { cx: "12", cy: "12", r: "10" }, void 0),
            _jsx("line", { x1: "14.31", y1: "8", x2: "20.05", y2: "17.94" }, void 0),
            _jsx("line", { x1: "9.69", y1: "8", x2: "21.17", y2: "8" }, void 0),
            _jsx("line", { x1: "7.38", y1: "12", x2: "13.12", y2: "2.06" }, void 0),
            _jsx("line", { x1: "9.69", y1: "16", x2: "3.95", y2: "6.06" }, void 0),
            _jsx("line", { x1: "14.31", y1: "16", x2: "2.83", y2: "16" }, void 0),
            _jsx("line", { x1: "16.62", y1: "12", x2: "10.88", y2: "21.94" }, void 0)] }), void 0));
};
IconAperture.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconAperture.js.map