import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconBellOff = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("path", { d: "M13.73 21a2 2 0 0 1-3.46 0" }, void 0),
            _jsx("path", { d: "M18.63 13A17.89 17.89 0 0 1 18 8" }, void 0),
            _jsx("path", { d: "M6.26 6.26A5.86 5.86 0 0 0 6 8c0 7-3 9-3 9h14" }, void 0),
            _jsx("path", { d: "M18 8a6 6 0 0 0-9.33-5" }, void 0),
            _jsx("line", { x1: "1", y1: "1", x2: "23", y2: "23" }, void 0)] }), void 0));
};
IconBellOff.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconBellOff.js.map