import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconCommand = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: _jsx("path", { d: "M18 3a3 3 0 0 0-3 3v12a3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3H6a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3V6a3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3h12a3 3 0 0 0 3-3 3 3 0 0 0-3-3z" }, void 0) }), void 0));
};
IconCommand.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconCommand.js.map