import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconDatabase = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("ellipse", { cx: "12", cy: "5", rx: "9", ry: "3" }, void 0),
            _jsx("path", { d: "M21 12c0 1.66-4 3-9 3s-9-1.34-9-3" }, void 0),
            _jsx("path", { d: "M3 5v14c0 1.66 4 3 9 3s9-1.34 9-3V5" }, void 0)] }), void 0));
};
IconDatabase.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconDatabase.js.map