import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconGitBranch = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("line", { x1: "6", y1: "3", x2: "6", y2: "15" }, void 0),
            _jsx("circle", { cx: "18", cy: "6", r: "3" }, void 0),
            _jsx("circle", { cx: "6", cy: "18", r: "3" }, void 0),
            _jsx("path", { d: "M18 9a9 9 0 0 1-9 9" }, void 0)] }), void 0));
};
IconGitBranch.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconGitBranch.js.map