import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconLoader = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("line", { x1: "12", y1: "2", x2: "12", y2: "6" }, void 0),
            _jsx("line", { x1: "12", y1: "18", x2: "12", y2: "22" }, void 0),
            _jsx("line", { x1: "4.93", y1: "4.93", x2: "7.76", y2: "7.76" }, void 0),
            _jsx("line", { x1: "16.24", y1: "16.24", x2: "19.07", y2: "19.07" }, void 0),
            _jsx("line", { x1: "2", y1: "12", x2: "6", y2: "12" }, void 0),
            _jsx("line", { x1: "18", y1: "12", x2: "22", y2: "12" }, void 0),
            _jsx("line", { x1: "4.93", y1: "19.07", x2: "7.76", y2: "16.24" }, void 0),
            _jsx("line", { x1: "16.24", y1: "7.76", x2: "19.07", y2: "4.93" }, void 0)] }), void 0));
};
IconLoader.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconLoader.js.map