import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconMove = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("polyline", { points: "5 9 2 12 5 15" }, void 0),
            _jsx("polyline", { points: "9 5 12 2 15 5" }, void 0),
            _jsx("polyline", { points: "15 19 12 22 9 19" }, void 0),
            _jsx("polyline", { points: "19 9 22 12 19 15" }, void 0),
            _jsx("line", { x1: "2", y1: "12", x2: "22", y2: "12" }, void 0),
            _jsx("line", { x1: "12", y1: "2", x2: "12", y2: "22" }, void 0)] }), void 0));
};
IconMove.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconMove.js.map