import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconScissors = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("circle", { cx: "6", cy: "6", r: "3" }, void 0),
            _jsx("circle", { cx: "6", cy: "18", r: "3" }, void 0),
            _jsx("line", { x1: "20", y1: "4", x2: "8.12", y2: "15.88" }, void 0),
            _jsx("line", { x1: "14.47", y1: "14.48", x2: "20", y2: "20" }, void 0),
            _jsx("line", { x1: "8.12", y1: "8.12", x2: "12", y2: "12" }, void 0)] }), void 0));
};
IconScissors.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconScissors.js.map