import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconSunrise = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("path", { d: "M17 18a5 5 0 0 0-10 0" }, void 0),
            _jsx("line", { x1: "12", y1: "2", x2: "12", y2: "9" }, void 0),
            _jsx("line", { x1: "4.22", y1: "10.22", x2: "5.64", y2: "11.64" }, void 0),
            _jsx("line", { x1: "1", y1: "18", x2: "3", y2: "18" }, void 0),
            _jsx("line", { x1: "21", y1: "18", x2: "23", y2: "18" }, void 0),
            _jsx("line", { x1: "18.36", y1: "11.64", x2: "19.78", y2: "10.22" }, void 0),
            _jsx("line", { x1: "23", y1: "22", x2: "1", y2: "22" }, void 0),
            _jsx("polyline", { points: "8 6 12 2 16 6" }, void 0)] }), void 0));
};
IconSunrise.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconSunrise.js.map