import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconZapOff = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("polyline", { points: "12.41 6.75 13 2 10.57 4.92" }, void 0),
            _jsx("polyline", { points: "18.57 12.91 21 10 15.66 10" }, void 0),
            _jsx("polyline", { points: "8 8 3 14 12 14 11 22 16 16" }, void 0),
            _jsx("line", { x1: "1", y1: "1", x2: "23", y2: "23" }, void 0)] }), void 0));
};
IconZapOff.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconZapOff.js.map