import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
/**
 * A styled anchor element
 */
export const Link = ({ children, component: Component = "a", ...other }) => {
    const theme = useTheme();
    return (_jsx(Component, Object.assign({ className: "Link", css: {
            textDecoration: "none",
            "@media (hover:hover)": {
                ":hover": {
                    textDecoration: "underline"
                }
            },
            color: theme.colors.mode === "dark"
                ? theme.colors.palette.blue.light
                : theme.colors.palette.blue.base
        } }, other, { children: children }), void 0));
};
Link.propTypes = {
    component: PropTypes.any,
    children: PropTypes.node
};
//# sourceMappingURL=Link.js.map