import * as React from "react";
/**
 * A Toolbar is typically used in something like the Navbar component.
 * It provides some basic horizontal padding and maintains responsive height.
 */
interface MainMenuBarProps extends React.HTMLAttributes<HTMLDivElement> {
}
/**主菜单: <div>高度不会突破限制，长度方向可能突破限制。
 * 安排在网页最下方的位置就不能用position: sticky设置。若position: absolute;会按视窗定位但是滚动就会滚没掉。
 * : sticky 若top没计算准确的可能须滚动到最底下才会有：不精确。
 * 融合掉 <Navbar />
 *CSS在基础组件库配置的   default: `@media (min-width: 320px) and (max-width: 628px)`,
 *                     md: `@media (min-width: ${points.md})`,    配置库目前的md: "629px",超过>=629的才能算true!
 *依据这个设置，我这里正方形的窗体控制，高度 && 宽度同时达到了较大的标准，有任何一个不达标的就只能紧凑CSS模式。
* */
export declare const MainMenuBar: React.FunctionComponent<MainMenuBarProps>;
/**留出菜单临空区域,尺寸等依赖逻辑；
 * noRight  当前URL路由页面没有用右半边的明细页面,
 * rightBig  当前状态把右半边的明细页面放大为整个视口。
 * 通用的CSS切换点， [theme.mediaQueries.md]: { } 配置库目前的 md : "629px"=宽度方向的>=629触发选中该对象;
 * */
export declare const useMMenuBarOcup: (noRight: boolean, rightBig: boolean) => {
    bottomCss: import("@emotion/utils").SerializedStyles;
    isWideSrc: boolean;
    renderList: boolean;
    isBigSrc: boolean;
    barHeight: string;
    carousel: boolean;
    touchScr: boolean;
};
export {};
