import * as React from "react";
import * as ReactDOM from "react-dom";
import PropTypes from "prop-types";
let container = null;
export const Portal = ({ children }) => {
    const [target] = React.useState(() => {
        if (typeof document === "undefined") {
            return null;
        }
        if (!container) {
            container = document.createElement("div");
            document.body.appendChild(container);
        }
        const div = document.createElement("div");
        container.appendChild(div);
        return div;
    });
    React.useEffect(() => {
        return () => {
            if (target) {
                container.removeChild(target);
            }
        };
    }, [target]);
    return target ? ReactDOM.createPortal(children, target) : null;
};
Portal.propTypes = {
    children: PropTypes.node
};
//# sourceMappingURL=Portal.js.map