import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { SkipNavLink as ReachSkipNavLink, SkipNavContent as ReachSkipNavContent } from "@reach/skip-nav";
import { Text } from "./Text";
import { useTheme } from "./Theme/Providers";
export const SkipNavLink = ({ children = "Skip to content", ...other }) => {
    const theme = useTheme();
    return (_jsx(ReachSkipNavLink, Object.assign({ css: {
            border: 0,
            clip: "rect(0 0 0 0)",
            height: "1px",
            margin: "-1px",
            overflow: "hidden",
            padding: 0,
            position: "absolute",
            color: theme.colors.text.default,
            textDecoration: "none",
            width: "1px",
            ":focus": {
                background: theme.colors.background.layer,
                clip: "auto",
                height: "auto",
                left: theme.spaces.md,
                top: theme.spaces.md,
                position: "fixed",
                zIndex: 40,
                width: "auto",
                padding: theme.spaces.md,
                borderRadius: theme.radii.md
            }
        } }, other, { children: _jsx(Text, { children: children }, void 0) }), void 0));
};
SkipNavLink.propTypes = {
    children: PropTypes.oneOfType([PropTypes.string, PropTypes.element])
};
export const SkipNavContent = ReachSkipNavContent;
//# sourceMappingURL=SkipNav.js.map